Skip to main content

Type Alias: GatewayInferenceResponseFunctionCallArgumentsDeltaEvent

type GatewayInferenceResponseFunctionCallArgumentsDeltaEvent = {
[key: string]: unknown;
type: "response.function_call_arguments.delta";
item_id: string;
output_index: number;
delta: string;
};

Defined in: src/models/ai-gateway-inference.ts:4853

Portkey ResponseFunctionCallArgumentsDeltaEvent; additive response fields are preserved.

Example​

`GatewayInferenceResponseFunctionCallArgumentsDeltaEventSchema.parse(value);`

Indexable​

[key: string]: unknown

Properties​

type​

type: "response.function_call_arguments.delta";

Defined in: src/models/ai-gateway-inference.ts:4854


item_id​

item_id: string;

Defined in: src/models/ai-gateway-inference.ts:4855


output_index​

output_index: number;

Defined in: src/models/ai-gateway-inference.ts:4856


delta​

delta: string;

Defined in: src/models/ai-gateway-inference.ts:4857